<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// $Id: formselecttheme.php,v 1.3 2003/03/19 06:57:54 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
if (!defined("EXOOPS_XOOPSFORMSELECTICONSET_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTICONSET_INCLUDED", 1);
include_once(XOOPS_ROOT_PATH."/class/xoopslists.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");
class XoopsFormSelectIconset extends XoopsFormSelect {
	function XoopsFormSelectIconset($caption, $name, $value="", $size=1) {
		$this->XoopsFormSelect($caption, $name, $value, $size);
		$this->addOptionArray(XoopsLists::getImgIconsetAsArray(XOOPS_ROOT_PATH."/images/icons"));
	}
//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
